namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void RiYuButtonNewSong_Click(object sender, EventArgs e)
        {

            UpdateNewSongBtns(riYuButtonNewSong, riYuNewSongActiveBackground);
            var riYuSongs2 = SearchSongs_Mysql(setQueryforNewSong("日語"));
            currentPage = 0; 
            totalPages = (int)Math.Ceiling((double)riYuSongs2.Count / itemsPerPage);

            
            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(riYuSongs2);
        }
    }
}